.wp-block-navigation {
	/* メニュー毎の動作 */
	&.is-style-global {
		/* PCの時 */
		@media (1150px < width) {
			.wp-block-navigation.wp-block-navigation__container {
				.wp-block-navigation-item__content {
					transition: 0.3s ease color;
					ion-icon {
						transition: 0.3s ease translate;
					}
					&:hover {
						color: var(--wp--preset--color--primary);
					}
				}

				/* 最上位 */
				> .wp-block-navigation-item {
					justify-content: center;

					> .wp-block-navigation-item__content {
						display: flex;
						gap: 0.5rem;
						align-items: center;
						padding-inline: var(--wp--preset--spacing--40);

						@media (width < 1300px) {
							padding-inline: var(--wp--preset--spacing--20);
						}

						&:hover {
							color: var(--wp--preset--color--primary);
						}
					}

					+ .wp-block-navigation-item {
						border-left: 1px solid var(--wp--preset--color--alto-10);
					}
				}

				/* 最初の子メニュー */
				.wp-block-navigation__submenu-container {
					width: max-content !important;
					border: 0;
					/* box-shadow: 1px 5px 6px 0 var(--wp--preset--color--alto-10); */
					background-color: transparent;
					> .wp-block-navigation-item {
						width: 100% !important;
					}

					> .wp-block-navigation-item + .wp-block-navigation-item {
						border-block-start: 1px solid var(--wp--preset--color--alto-10);
					}

					.wp-block-navigation-item__content {
						display: flex;
						align-items: center;
						gap: var(--wp--preset--spacing--20);

						&:hover {
							ion-icon {
								translate: 3px 0;
							}
						}

						@media (width < 1300px) {
							font-size: var(--wp--preset--font-size--small);
						}
					}

					&.has-child {
						&:last-of-type {
							.wp-block-navigation-submenu {
								inset: 100% 0 auto auto;
							}
						}
					}

					> li {
						background-color: #fff;
						box-shadow: 1px 5px 6px 0 var(--wp--preset--color--alto-10);
						&:first-of-type {
							border-radius: 0.5rem 0.5rem 0 0;
							/* overflow: hidden; */
						}
						&:last-of-type {
							border-radius: 0 0 0.5rem 0.5rem;
							/* overflow: hidden; */
						}
					}
				}
			}

			.has-child:not(.open-on-click):hover > .wp-block-navigation__submenu-container {
				width: max-content;
			}

			.wp-block-buttons {
				@media (width < 1300px) {
					margin-inline-start: var(--wp--preset--spacing--20);
				}

				.wp-block-button {
					@media (width < 1300px) {
						font-size: var(--wp--preset--font-size--small);
					}

					.wp-element-button {
						@media (width < 1300px) {
							padding-block: var(--wp--preset--spacing--20) !important;
							padding-inline: var(--wp--preset--spacing--40) !important;
						}
					}
				}
			}
		}

		@media (width < 1150px) {
			order: 2;
			/* メニューを開いているとき */
			.has-modal-open & {
				/* スマートフォンメニュー内 */
				.wp-block-navigation__responsive-dialog {
					margin-block-start: 0;
					padding: var(--wp--preset--spacing--40);
					background-color: #fff;

					.wp-block-navigation-item__content {
						display: flex;
						align-items: center;
						gap: var(--wp--preset--spacing--20);
					}

					.wp-block-navigation-submenu {
						width: 100% !important;
						padding: 0;

						&.has-child {
							> .wp-block-navigation-item__content {
								background-color: var(--wp--preset--color--alto-05);
							}
						}

						> .wp-block-navigation-item__content {
							background-color: var(--wp--preset--color--alto-05);
							display: flex;
							align-items: center;
							gap: var(--wp--preset--spacing--20);
						}

						.wp-block-navigation-submenu {
							padding-inline-start: var(--wp--preset--spacing--40);
						}
						.wp-block-navigation-item {
							font-size: var(--wp--preset--font-size--small);
						}
					}

					.wp-block-navigation {
						align-items: flex-start;
						width: 100%;
						background-color: var(--wp--preset--color--white) !important;

						.wp-block-navigation-item {
							width: 100%;
							.wp-block-navigation-item__content {
								display: flex;
								width: 100%;
								text-decoration: none;
								padding-block: var(--wp--preset--spacing--20);
								padding-inline: var(--wp--preset--spacing--30);
							}

							.wp-block-navigation-item__label {
								display: flex;
								gap: var(--wp--preset--spacing--20);
								align-items: center;
								width: 100%;
							}

							+ .wp-block-navigation-item {
								border-top: 1px solid var(--wp--preset--color--dark-01);
							}
						}
					}
				}

				.wp-block-buttons {
					margin-block-start: var(--wp--preset--spacing--40);
				}
			}
		}

		.wp-block-navigation__responsive-container {
			padding: 0;
			background-color: transparent;
		}

		.wp-block-navigation__responsive-container-close {
			padding: var(--wp--preset--spacing--30);
			background-color: var(--wp--preset--color--white);
		}
	}

	&.is-style-footer {
		.wp-block-navigation-item__content {
			display: inline-flex;
			align-items: center;
			transition: 0.3s ease opacity;

			&:hover {
				opacity: 0.5;
			}
		}
	}

	/* デフォルトのブレークポイント無効化. */
	@media (min-width: 600px) {
		/* メニューを非表示. */
		.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
			display: none;
		}
		/* Openボタン（ハンバーガーボタン）を表示. */
		.wp-block-navigation__responsive-container-open:not(.always-shown) {
			display: flex;
		}
	}

	/* 新しいブレークポイント設定. */
	@media (1150px < width) {
		/* ※ここの数値を設定したい値に変更する. */
		/* メニューを表示. */
		.wp-block-navigation__responsive-container:not(.hidden-by-default):not(.is-menu-open) {
			background-color: inherit;
			display: block;
			position: relative;
			width: 100%;
			z-index: auto;
		}
		/* Openボタン（ハンバーガーボタン）を非表示. */
		.wp-block-navigation__responsive-container-open:not(.always-shown) {
			display: none;
		}
	}
}
